package demo.arrays.serverPackage;
public class stringsHelper
	implements org.omg.CORBA.portable.Helper
{
	private static org.omg.CORBA.TypeCode _type = org.omg.CORBA.ORB.init().create_sequence_tc(0, org.omg.CORBA.ORB.init().create_string_tc(0));
	public stringsHelper ()
	{
	}
	public static void insert(org.omg.CORBA.Any any, java.lang.String[] s)
	{
		any.type(type());
		write( any.create_output_stream(),s);
	}
	public static java.lang.String[] extract(org.omg.CORBA.Any any)
	{
		return read(any.create_input_stream());
	}
	public static org.omg.CORBA.TypeCode type()
	{
		return _type;
	}
	public String get_id()
	{
		return id();
	}
	public org.omg.CORBA.TypeCode get_type()
	{
		return type();
	}
	public void write_Object(org.omg.CORBA.portable.OutputStream out, java.lang.Object obj)
	{
		 throw new RuntimeException(" not implemented");
	}
	public java.lang.Object read_Object(org.omg.CORBA.portable.InputStream in)
	{
		 throw new RuntimeException(" not implemented");
	}
	public static String id()
	{
		return "IDL:arrays/server/strings:1.0";
	}
	public static java.lang.String[] read(org.omg.CORBA.portable.InputStream in)
	{
		int l = in.read_long();
		java.lang.String[] result = new java.lang.String[l];
		for( int i = 0; i < l; i++ )
		{
			result[i]=in.read_string();
		}
		return result;
	}
	public static void write(org.omg.CORBA.portable.OutputStream out, java.lang.String[] s)
	{
		out.write_long(s.length);
		for( int i = 0; i < s.length; i++ )
			out.write_string(s[i]);
	}
}


